SHBANG
# Copyright @BABOLO (C)2002,2003
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# $Id: start.m4,v 1.1 2003/05/03 04:39:17 babolo Exp $

JNTROSTA(tproxy, path, hname, ipadr, nice, uid, gid, port)
DEFPID
RESTDOG

DOLOOP
    TERMPID > /dev/null 2>&1
    . ${JAILUPDIR}/${path}/etc/tproxy.conf
    if  [ -z "${trans_proxyhost}" -o -z "${trans_proxyport}" ]; then
        echo "trans_proxyhost and trans_proxyport are required in ${JAILUPDIR}/${path}/etc/tproxy.conf"
        exit 1
    fi
    if  [ -n "${trans_runasuid}" ]; then
        trans_runasuid="-r${trans_runasuid}"
    fi
    if  [ -n "${trans_logfile}" ]; then
        trans_logfile="-l${trans_logfile}"
    fi
    DOJAILID -s${port} ${trans_runasuid} ${trans_logfile} ${trans_proxyhost} ${trans_proxyport}
    KWAIT
ENDLOOP
